### Method

# Gtk Widgetobserve_children

#### Declaration [src]

    GListModel*
    gtk_widget_observe_children (
      GtkWidget* widget
    )

#### Description [src]

Returns a `GListModel` to track the children of `widget`.

Calling this function will enable extra internal bookkeeping to track children and emit signals on the returned listmodel. It may slow down operations a lot.

Applications should try hard to avoid calling this function because of the slowdowns.

#### Return value

Type: A list model of `GtkWidget`

a `GListModel` tracking `widget`‘s children.

The caller of the method takes ownership of the data, and is responsible for freeing it.